summaryrefslogtreecommitdiffstats
path: root/src/os-plugins/plugins/pvs/XX_pvs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/os-plugins/plugins/pvs/XX_pvs.sh')
-rw-r--r--src/os-plugins/plugins/pvs/XX_pvs.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/src/os-plugins/plugins/pvs/XX_pvs.sh b/src/os-plugins/plugins/pvs/XX_pvs.sh
new file mode 100644
index 00000000..9a86574f
--- /dev/null
+++ b/src/os-plugins/plugins/pvs/XX_pvs.sh
@@ -0,0 +1,46 @@
+# Copyright (c) 2009..2010 - RZ Uni Freiburg
+# Copyright (c) 2009..2010 - OpenSLX GmbH
+#
+# This program/file is free software distributed under the GPL version 2.
+# See http://openslx.org/COPYING
+#
+# If you have any feedback please consult http://openslx.org/feedback and
+# send your feedback to feedback@openslx.org
+#
+# General information about OpenSLX can be found at http://openslx.org
+#
+# Script is included from init via the "." load function - thus it has all
+# variables and functions available
+
+# Check if the plugin config directory is generally available or if the client
+# configuration failed somehow
+[ -d /initramfs/plugin-conf ] || error "${init_picfg}" nonfatal
+
+# main script
+if [ -e /initramfs/plugin-conf/pvs.conf ]; then
+ . /initramfs/plugin-conf/pvs.conf
+ if [ $pvs_active -ne 0 ]; then
+ [ $DEBUGLEVEL -gt 0 ] && echo "executing the 'pvs' os-plugin ...";
+ # location of central pvs configuration files
+ testmkdi /mnt/etc/openslx/pvs
+
+ # add it to the Xserver script (?)
+
+ # link the executables
+ #for tool in poolVS poolVSClient VNCwrapper ; do
+ # ln -s /opt/openslx/plugin-repo/pvs/${tool} /mnt/var/X11R6/bin/${tool}
+ #done
+
+ # write config file
+ #echo "# parameters generated by $0" > /mnt/etc/pvs/pvs.conf
+ #echo "pvs_PARAMS=\"$PARAMS\"" >> /mnt/etc/pvs/pvs.conf
+ #echo "pvs_X11=\"$pvs_X11\"" >> /mnt/etc/pvs/pvs.conf
+
+ [ $DEBUGLEVEL -gt 0 ] && echo "done with 'pvs' os-plugin ...";
+
+ fi
+ fi
+else
+ [ $DEBUGLEVEL -gt 2 ] && \
+ echo "No configuration file found for pvs plugin."
+fi